Imports System.Xml
Imports System.IO

Public Class Form1
    ' Load the previously saved position.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' See if the XML file exists.
        Dim xml_file_name As String = XmlFileName()
        If File.Exists(xml_file_name) Then
            ' Load the XML file.
            Dim dom_document As New XmlDocument
            dom_document.Load(XmlFileName())

            ' Set the form's size and position.
            For Each child_node As XmlNode In dom_document.DocumentElement.ChildNodes
                Select Case child_node.Name
                    Case "Left"
                        Me.Left = Integer.Parse(child_node.InnerText)
                    Case "Top"
                        Me.Top = Integer.Parse(child_node.InnerText)
                    Case "Width"
                        Me.Width = Integer.Parse(child_node.InnerText)
                    Case "Height"
                        Me.Height = Integer.Parse(child_node.InnerText)
                End Select
            Next
        End If
    End Sub

    ' Save the current position.
    Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Dim dom_document As New XmlDocument

        ' Make the <Position> tag.
        Dim position_node As XmlNode = dom_document.CreateElement("Position")
        dom_document.AppendChild(position_node)

        ' Make the child tags.
        Dim child_node As XmlNode
        child_node = dom_document.CreateElement("Left")
        child_node.InnerText = Me.Left.ToString()
        position_node.AppendChild(child_node)

        child_node = dom_document.CreateElement("Top")
        child_node.InnerText = Me.Top.ToString()
        position_node.AppendChild(child_node)

        child_node = dom_document.CreateElement("Width")
        child_node.InnerText = Me.Width.ToString()
        position_node.AppendChild(child_node)

        child_node = dom_document.CreateElement("Height")
        child_node.InnerText = Me.Height.ToString()
        position_node.AppendChild(child_node)

        ' Save the file.
        dom_document.Save(XmlFileName())
    End Sub

    ' Return the XML file's name.
    Private Function XmlFileName() As String
        Dim xml_file_name As String = Application.StartupPath
        xml_file_name = xml_file_name.Substring(0, xml_file_name.LastIndexOf("\"))
        xml_file_name = xml_file_name.Substring(0, xml_file_name.LastIndexOf("\"))
        Return xml_file_name & "\UseXmlFile.xml"
    End Function
End Class
